Skip to main content
PATCH
Update Destination

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

destinationId
number<double>
required

The destination's ID

Body

application/json

The input for updating a Destination

name
string

The destination's name

configuration
object

The destination's configuration. This specifies general metadata about destination, like hostname and username. Hightouch will be using this configuration to connect to destination.

The schema depends on the destination type.

Consumers should NOT make assumptions on the contents of the configuration. It may change as Hightouch updates its internal code.

Response

Ok

The service receiving your data (e.g. Salesforce, Hubspot, Customer.io, or a SFTP server)

id
number<double>
required

The destination's id

name
string
required

The destination's name

slug
string
required

The destination's slug

workspaceId
number<double>
required

The id of the workspace that the destination belongs to

createdAt
string<date-time>
required

The timestamp when the destination was created

updatedAt
string<date-time>
required

The timestamp when the destination was last updated

type
string
required

The destination's type (e.g. salesforce or hubspot).

configuration
object
required

The destination's configuration. This specifies general metadata about destination, like hostname and username. Hightouch will be using this configuration to connect to destination.

The schema depends on the destination type.

Consumers should NOT make assumptions on the contents of the configuration. It may change as Hightouch updates its internal code.

syncs
number<double>[]
required

A list of syncs that sync to this destination.